#
# Copyright © 2012 - 2020 Michal Čihař <michal@cihar.com>
#
# This file is part of Weblate <https://weblate.org/>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

"""Language data definitions.

This is an automatically generated file, see scripts/generate-language-data

Do not edit, please adjust language definitions in following repository:
https://github.com/WeblateOrg/language-data
"""
# pylint: disable=line-too-long,too-many-lines


# Known language codes
LANGUAGES = {
    "aa",
    "aar",
    "ab",
    "abk",
    "ace",
    "ach",
    "ady",
    "ae",
    "af",
    "afr",
    "ak",
    "aka",
    "alb",
    "am",
    "amh",
    "an",
    "anp",
    "ar",
    "ar_ar",
    "ar_bh",
    "ar_dz",
    "ar_eg",
    "ar_kw",
    "ar_ly",
    "ar_ma",
    "ar_sa",
    "ar_xb",
    "ar_ye",
    "ara",
    "arm",
    "arn",
    "ars",
    "asa",
    "asm",
    "ast",
    "av",
    "ava",
    "ave",
    "ay",
    "aym",
    "az",
    "aze",
    "ba",
    "ba_ck",
    "bak",
    "bam",
    "baq",
    "bd",
    "be",
    "be@latin",
    "be_latn",
    "be_rby",
    "bel",
    "bem",
    "ben",
    "ber",
    "bez",
    "bg",
    "bh",
    "bho",
    "bih",
    "bis",
    "bm",
    "bn",
    "bn_bd",
    "bn_in",
    "bo",
    "bod",
    "bos",
    "br",
    "braz_por",
    "bre",
    "brx",
    "bs",
    "bs_cyrl",
    "bs_latn",
    "bs_latn_ba",
    "bul",
    "bur",
    "by",
    "byn",
    "ca",
    "ca@valencia",
    "ca_es@valencia",
    "ca_ps",
    "ce",
    "ceb",
    "ces",
    "cgg",
    "ch",
    "cha",
    "che",
    "chi",
    "chinese_chs",
    "chinese_zh",
    "chk",
    "chm",
    "chr",
    "chs",
    "cht",
    "chu",
    "chv",
    "ckb",
    "ckb_iq",
    "ckb_ir",
    "cmn",
    "cn",
    "co",
    "cor",
    "cr",
    "cre",
    "crh",
    "cs",
    "csb",
    "cu",
    "cv",
    "cy",
    "cym",
    "cze",
    "da",
    "dan",
    "de",
    "de_at",
    "de_ch",
    "de_fo",
    "de_lu",
    "deu",
    "dk",
    "doi",
    "dsb",
    "dut",
    "dutch_be",
    "dv",
    "dz",
    "dzo",
    "ee",
    "el",
    "ell",
    "en",
    "en_au",
    "en_ca",
    "en_devel",
    "en_en",
    "en_gb",
    "en_ie",
    "en_in",
    "en_nz",
    "en_ph",
    "en_us",
    "en_xa",
    "en_za",
    "eng",
    "english_uk",
    "eo",
    "epo",
    "es",
    "es_419",
    "es_ar",
    "es_bo",
    "es_cl",
    "es_do",
    "es_ec",
    "es_eu",
    "es_mx",
    "es_pe",
    "es_pr",
    "es_us",
    "es_ve",
    "est",
    "et",
    "eu",
    "eus",
    "ewe",
    "fa",
    "fa_af",
    "fao",
    "fas",
    "ff",
    "fi",
    "fij",
    "fil",
    "fin",
    "fj",
    "flemish",
    "fo",
    "fr",
    "fr_ag",
    "fr_be",
    "fr_ca",
    "fr_ch",
    "fr_lu",
    "fra",
    "fre",
    "frp",
    "fry",
    "ful",
    "fur",
    "fy",
    "ga",
    "gd",
    "geo",
    "ger",
    "gez",
    "gla",
    "gle",
    "glg",
    "glv",
    "gn",
    "gr",
    "gre",
    "grn",
    "gsw",
    "gu",
    "gu_in",
    "guj",
    "guw",
    "gv",
    "ha",
    "hat",
    "hau",
    "haw",
    "hbs",
    "he",
    "he_il",
    "heb",
    "her",
    "hi",
    "hi_latn",
    "hil",
    "hin",
    "hmo",
    "hne",
    "ho",
    "hr",
    "hrv",
    "hrx",
    "hsb",
    "ht",
    "hu",
    "hun",
    "hy",
    "hye",
    "hz",
    "ia",
    "ibo",
    "ice",
    "ido",
    "ie",
    "ig",
    "ii",
    "iii",
    "ik",
    "iku",
    "ile",
    "in_id",
    "ina",
    "ind",
    "ipk",
    "isl",
    "it",
    "ita",
    "iu",
    "iw",
    "iw_il",
    "ja",
    "ja_ks",
    "jam",
    "jav",
    "jbo",
    "jgo",
    "ji",
    "jmc",
    "jp",
    "jpn",
    "jv",
    "jw",
    "ka",
    "kab",
    "kaj",
    "kal",
    "kan",
    "kas",
    "kat",
    "kau",
    "kaz",
    "kcg",
    "kde",
    "kea",
    "kg",
    "khm",
    "ki",
    "kik",
    "kin",
    "kir",
    "kj",
    "kk",
    "kkj",
    "kl",
    "km",
    "kmr",
    "kn",
    "ko",
    "kok",
    "kom",
    "kon",
    "kor",
    "kr",
    "ks",
    "ksb",
    "ksh",
    "ku",
    "kua",
    "kur",
    "kv",
    "kw",
    "ky",
    "kz",
    "la",
    "lag",
    "lao",
    "lat",
    "lav",
    "lb",
    "lg",
    "li",
    "lim",
    "lin",
    "lit",
    "lk",
    "lki",
    "lkt",
    "ln",
    "lo",
    "ltz",
    "lu",
    "lub",
    "lug",
    "lv",
    "mah",
    "mai",
    "mal",
    "mao",
    "mar",
    "mas",
    "may",
    "me",
    "mfe",
    "mg",
    "mgo",
    "mh",
    "mhr",
    "mi",
    "mia",
    "mk",
    "mkd",
    "ml",
    "mlg",
    "mlt",
    "mn",
    "mni",
    "mnk",
    "mo",
    "mon",
    "mr",
    "mri",
    "ms",
    "ms_arab",
    "msa",
    "mt",
    "mya",
    "na",
    "nah",
    "nan",
    "nap",
    "naq",
    "nau",
    "nb",
    "nb_no",
    "nbl",
    "nd",
    "nde",
    "ndo",
    "nds",
    "ne",
    "nep",
    "ng",
    "nl",
    "nl_be",
    "nld",
    "nn",
    "nnh",
    "nno",
    "no_nb",
    "no_no",
    "nob",
    "norwegian",
    "np",
    "nqo",
    "nr",
    "nso",
    "nv",
    "ny",
    "nya",
    "nyn",
    "oc",
    "oci",
    "oj",
    "oji",
    "om",
    "ori",
    "orm",
    "os",
    "osa",
    "oss",
    "otk",
    "pa",
    "pan",
    "pap",
    "pau",
    "pk",
    "pl",
    "pli",
    "pms",
    "pol",
    "pon",
    "por",
    "portuguese_br",
    "portuguese_portugal",
    "prg",
    "ps",
    "pt",
    "pt_ao",
    "pt_br",
    "pt_pt",
    "pus",
    "qu",
    "que",
    "rcf",
    "rm",
    "rn",
    "ro",
    "ro_md",
    "rof",
    "roh",
    "ron",
    "rs",
    "ru",
    "ru_r",
    "ru_rr",
    "ru_ua",
    "rue",
    "rum",
    "rus",
    "rw",
    "rwk",
    "sag",
    "sah",
    "san",
    "saq",
    "sat",
    "sc",
    "scc",
    "schinese",
    "scn",
    "sco",
    "scr",
    "sd",
    "sdh",
    "se",
    "seh",
    "serbo_croatian",
    "ses",
    "sg",
    "sh",
    "shi",
    "shn",
    "si",
    "sk",
    "sl",
    "sl_sl",
    "slk",
    "slo",
    "slv",
    "sm",
    "sma",
    "sme",
    "smi",
    "smj",
    "smn",
    "smo",
    "sms",
    "sn",
    "sna",
    "snd",
    "so",
    "som",
    "son",
    "sot",
    "spa",
    "sq",
    "sqi",
    "sr",
    "sr@cyrillic",
    "sr@latin",
    "sr_cs",
    "sr_cyrl",
    "sr_latn",
    "sr_latn_rs",
    "sr_rs@cyrillic",
    "sr_rs@latin",
    "srd",
    "srp",
    "ss",
    "ssw",
    "ssy",
    "st",
    "su",
    "sun",
    "sv",
    "svk",
    "sw",
    "sw_cd",
    "swa",
    "swe",
    "syr",
    "szl",
    "ta",
    "ta_lk",
    "tah",
    "tam",
    "tat",
    "tchinese",
    "te",
    "tel",
    "teo",
    "tg",
    "tgk",
    "tgl",
    "th",
    "tha",
    "ti",
    "tib",
    "tig",
    "tir",
    "tk",
    "tl",
    "tlh",
    "tlh-qaak",
    "tn",
    "ton",
    "tsn",
    "tso",
    "tt",
    "tt@iqtelif",
    "tuk",
    "tur",
    "tw",
    "twi",
    "ty",
    "tzm",
    "ua",
    "ug",
    "uig",
    "uk",
    "ukr",
    "ur",
    "ur_in",
    "ur_pk",
    "urd",
    "us",
    "uz",
    "uz@latin",
    "uz_latn",
    "uzb",
    "val_es",
    "ve",
    "vec",
    "ven",
    "vi",
    "vie",
    "vls",
    "vn",
    "vo",
    "vol",
    "vun",
    "wa",
    "wae",
    "wal",
    "wel",
    "wen",
    "wln",
    "wo",
    "xbelorussian",
    "xh",
    "xho",
    "xog",
    "yap",
    "yi",
    "yid",
    "yo",
    "yor",
    "yue",
    "za",
    "zh",
    "zh_chs",
    "zh_cmn_hans",
    "zh_cmn_hant",
    "zh_cn",
    "zh_hans",
    "zh_hans_cn",
    "zh_hans_sg",
    "zh_hant",
    "zh_hant_hk",
    "zh_hant_tw",
    "zh_hk",
    "zh_latn",
    "zh_latn@pinyin",
    "zh_latn_pinyin",
    "zh_sg",
    "zh_tw",
    "zha",
    "zhcn",
    "zho",
    "zhtw",
    "zu",
    "zul",
}
